package digital.laboratory.platform.inspection.vo;

import digital.laboratory.platform.inspection.entity.TestRecordSampleData;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class TestRecordSampleDataVO extends TestRecordSampleData {
    /**
     * 离子丰度比  | 峰面积之比
     */
    private BigDecimal ionAbundanceRatio;

    /**
     * 离子丰度比相对偏差（%）| 计算离子丰度比 相对偏差 (目标物离子丰度比 - 标准物离子丰度比) / 标准物质离子丰度比 * 100
     */
    private BigDecimal ionAbundanceRatioError;

    /**
     * 离子丰度比偏差是否在误差范围内
     */
    private String ionAbundanceRatioWithinError;

}
